<?php
/*
* ケースブックプラグイン
* カテゴリモデル
*
* PHP 5.4.x
*
* @copyright    Copyright (c) hiniarata co.ltd
* @link         https://hiniarata.jp
* @package      Casebook Plugin Project
* @since        ver.0.9.0
*/

/**
* Include files
*/
App::uses('CasebookApp', 'Casebook.Model');

/**
* 登録情報モデル
*
* @package baser.plugins.casebook
*/
class CasebookCategory extends CasebookApp {
  /**
  * クラス名
  *
  * @var string
  * @access public
  */
  public $name = 'CasebookCategory';

  /**
  * プラグイン名
  *
  * @var string
  * @access public
  */
  public $plugin = 'Casebook';

  /**
  * DB接続時の設定
  *
  * @var string
  * @access public
  */
  public $useDbConfig = 'plugin';

  /**
  * HasOne
  *
  * @var array
  * @access public
  */
  public $hasOne = array(
        'Casebook' => array(
            'className'    => 'Casebook.Casebook'
        )
    );

  /**
  * validate
  *
  * @var array
  */
  public $validate = array(
    'name' => array(
      'notEmpty' => array(
        'rule' => array('notEmpty'),
        'message' => 'カテゴリ名を入力してください。'
    ))
  );
}
