<?php
/*
* スタッフ紹介プラグイン
* ヘルパー
*
* PHP 5.4.x
*
* @copyright    Copyright (c) hiniarata co.ltd
* @link         https://hiniarata.jp
* @package      Casebook Plugin Project
* @since        ver.0.9.0
*/
/* Model */
App::import('Model', 'Casebook.Casebook');
App::import('Model', 'Casebook.CasebookCategory');
App::uses('AppHelper', 'View/Helper');

class CasebookBaserHelper extends AppHelper {

  /**
  * ヘルパー
  *
  * @var array
  */
  public $helpers = array('BcBaser');


  /**
  * 事例の一覧を取得する
  *
  * @return array()
  */
  public function getCaseList($limit = 10, $categoryId = null){
    $menuModel = new Casebook();
    //検索条件
    $conditions = array();
    $conditions[] = array('Casebook.publish' => 1); //公開中
    $conditions[] =
        array('OR' =>
          array(
            array('Casebook.casebook_category_id' => null),
            array('CasebookCategory.publish' => 1)
        ));
    //カテゴリIDの指定有り
    if (!empty($categoryId)) {
      $conditions[] = array('Casebook.casebook_category_id' => $categoryId);
    }
    //取得実行
    $cases = $menuModel->find('all', array(
      'conditions' => $conditions,
      'limit' => $limit,
      'order' => 'Casebook.sort ASC'
    ));
    //返す
    return $cases;
  }


  /**
  * コンテンツテンプレートを取得（フォルダ単位）
  *
  * @return array()
  */
  public function getCasebookTemplates() {
    $templatesPathes = array_merge(App::path('View', 'Casebook'), App::path('View'));
    if ($this->BcBaser->siteConfig['theme']) {
      array_unshift($templatesPathes, WWW_ROOT . 'theme' . DS . $this->BcBaser->siteConfig['theme'] . DS);
    }

    $_templates = array();
    foreach ($templatesPathes as $templatePath) {
      $templatePath .= 'Casebooks' . DS;
      $folder = new Folder($templatePath);
      $files = $folder->read(true, true);
      $foler = null;
      if ($files[0]) {
        if ($_templates) {
          $_templates = am($_templates, $files[0]);
        } else {
          $_templates = $files[0];
        }
      }
    }

    $excludes = Configure::read('BcAgent');
    $excludes = Hash::extract($excludes, '{s}.prefix');
    $templates = array();
    foreach ($_templates as $template) {
      if (!in_array($template, $excludes)) {
        $templates[$template] = $template;
      }
    }
    return $templates;
  }


}
